org.springframework.http.client

## Interface ClientHttpRequestExecution

-     public interface ClientHttpRequestExecution

  Represents the context of a client-side HTTP request execution.

  Used to invoke the next interceptor in the interceptor chain, or - if the calling interceptor is last - execute the request itself.

  Since:
    3.1
  Author:
    Arjen Poutsma
  See Also:
    `ClientHttpRequestInterceptor`

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `ClientHttpResponse` | `execute(HttpRequest request, byte[] body)` Execute the request with the given request attributes and body, and return the response.

- - ### Method Detail

    - #### execute

          ClientHttpResponse execute(HttpRequest request,
                                   byte[] body)
                                     throws IOException

      Execute the request with the given request attributes and body, and return the response.
      Parameters:
        `request` - the request, containing method, URI, and headers
        `body` - the body of the request to execute
      Returns:
        the response
      Throws:
        `IOException` - in case of I/O errors